Resource Center/Network Resource/Route Resource Operations/vRouter Route Table Operations
POSTvRouter Route Table OperationsSince 2.1SynchronousAuth Required
AttachVRouterRouteTableToVRouter
AttachVRouterRouteTableToVRouter
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
routeTableUuidStringRequiredNo description provided.
Body Fields
paramsObjectRequiredRequest body parameter object.
virtualRouterVmUuidStringRequiredThe VM instance UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/vrouter-route-tables/{routeTableUuid}/attach
/zstack/v1/vrouter-route-tables/{routeTableUuid}/attach
Request Example
curl -X POST 'http://{host}/zstack/v1/vrouter-route-tables/{routeTableUuid}/attach' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"virtualRouterVmUuid":"<virtualRouterVmUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "test-route-table", "description": "Test route table", "attachedRouterRefs": [], "routeEntries": [] } }Change History
This API has no change history records yet.
